<div [tourAnchor]="tourEnum.depositDataUpload"
     class="upload-button-wrapper"
>
  <ng-template [ngIf]="editMode === depositEditModeEnum.full">

    <ng-container *ngIf="(systemPropertyObs | async) as systemProperty">
      <ng-template [ngIf]="mode === modeDepositTabEnum.FILE_OR_COLLECTION || mode === modeDepositTabEnum.FILE">
        <button *ngIf="systemProperty.researchDataSupported"
                (click)="openModalUpload(undefined, dataCategoryEnum.PRIMARY)"
                (onEnter)="openModalUpload(undefined, dataCategoryEnum.PRIMARY)"
                solidifyAlternativeButton
                id="deposit-upload-primary-data"
                solidifyShortCuts
                solidifyFileDropZone
                (fileDropped)="openModalUpload($event, dataCategoryEnum.PRIMARY)"
        >
          <solidify-icon [iconName]="iconNameEnum.uploadFile"></solidify-icon>
          {{'deposit.file.button.uploadPrimaryData' | translate}}
        </button>
        <button *ngIf="systemProperty.administrativeDataSupported"
                (click)="openModalUpload(undefined, dataCategoryEnum.ADMINISTRATIVE)"
                (onEnter)="openModalUpload(undefined, dataCategoryEnum.ADMINISTRATIVE)"
                solidifyAlternativeButton
                id="deposit-upload-administrative-data"
                solidifyShortCuts
                solidifyFileDropZone
                (fileDropped)="openModalUpload($event, dataCategoryEnum.ADMINISTRATIVE)"
        >
          <solidify-icon [iconName]="iconNameEnum.uploadFile"></solidify-icon>
          {{'deposit.file.button.uploadAdministrativeData' | translate}}
        </button>
      </ng-template>

      <ng-template [ngIf]="mode === modeDepositTabEnum.FILE">
        <button *ngIf="systemProperty.researchDataSupported"
                (click)="openModalUpload(undefined, dataCategoryEnum.SECONDARY)"
                (onEnter)="openModalUpload(undefined, dataCategoryEnum.SECONDARY)"
                color="primary"
                id="deposit-upload-secondary-data"
                mat-button
                solidifyShortCuts
                solidifyFileDropZone
                (fileDropped)="openModalUpload($event, dataCategoryEnum.SECONDARY)"
                type="button"
        >
          <solidify-icon [iconName]="iconNameEnum.uploadFile"></solidify-icon>
          {{'deposit.file.button.uploadSecondaryData' | translate}}
        </button>
      </ng-template>
    </ng-container>

    <ng-template [ngIf]="mode === modeDepositTabEnum.FILE_OR_COLLECTION || mode === modeDepositTabEnum.FILE">
      <button (click)="openModalUploadArchive(undefined, mode === modeDepositTabEnum.FILE_OR_COLLECTION ? this.getDefaultMainDataCategory : undefined)"
              (onEnter)="openModalUploadArchive(undefined, mode === modeDepositTabEnum.FILE_OR_COLLECTION ? this.getDefaultMainDataCategory : undefined)"
              [matTooltip]="'deposit.file.button.uploadArchive.tooltip' | translate"
              color="primary"
              id="deposit-upload-archive"
              mat-button
              solidifyShortCuts
              solidifyFileDropZone
              [solidifyFileDropZoneExtensions]="['zip']"
              (fileDropped)="openModalUploadArchive($event, mode === modeDepositTabEnum.FILE_OR_COLLECTION ? this.getDefaultMainDataCategory : undefined)"
              type="button"
      >
        <solidify-icon [iconName]="iconNameEnum.uploadStructuredFiles"></solidify-icon>
        {{'deposit.file.button.uploadArchive.label' | translate}}
      </button>
    </ng-template>

    <ng-template [ngIf]="mode === modeDepositTabEnum.FILE">
      <a (click)="openModalUpload()"
         (onEnter)="openModalUpload()"
         solidifyShortCuts
         solidifyFileDropZone
         (fileDropped)="openModalUpload($event)"
      >
        {{'deposit.file.button.uploadAdvanced' | translate}}
      </a>
    </ng-template>

    <button (click)="openModalAip()"
            (onEnter)="openModalAip()"
            *ngIf="mode !== modeDepositTabEnum.FILE && (uploadStatusObs | async).length === 0"
            [matTooltip]="'deposit.collection.button.addAip.tooltip' | translate"
            solidifyAlternativeButton
            solidifyShortCuts
    >
      <solidify-icon [iconName]="iconNameEnum.associateArchive"></solidify-icon>
      {{'deposit.collection.button.associateArchive' | translate}}
    </button>

  </ng-template>

  <ng-template [ngIf]="editMode === depositEditModeEnum.metadata && mode === modeDepositTabEnum.FILE">
    <button (click)="openModalUpload(undefined, dataCategoryEnum.PACKAGE, dataTypeEnum.UPDATED_METADATA, true, true, true)"
            (onEnter)="openModalUpload(undefined, dataCategoryEnum.PACKAGE, dataTypeEnum.UPDATED_METADATA, true, true, true)"
            solidifyAlternativeButton
            solidifyShortCuts
            solidifyFileDropZone
            (fileDropped)="openModalUpload($event, dataCategoryEnum.PACKAGE, dataTypeEnum.UPDATED_METADATA, true, true, true)"
    >
      <solidify-icon [iconName]="iconNameEnum.uploadFile"></solidify-icon>
      {{'deposit.file.button.uploadUpdatedMetadata' | translate}}
    </button>

    <button *ngIf="(systemPropertyObs | async).researchDataSupported"
            (click)="openModalUploadUpdatedFile(undefined, dataCategoryEnum.INTERNAL)"
            (onEnter)="openModalUploadUpdatedFile(undefined, dataCategoryEnum.INTERNAL)"
            solidifyAlternativeButton
            solidifyShortCuts
            solidifyFileDropZone
            (fileDropped)="openModalUpload($event, dataCategoryEnum.INTERNAL)"
    >
      <solidify-icon [iconName]="iconNameEnum.uploadFile"></solidify-icon>
      {{'deposit.file.button.uploadInternalFile' | translate}}
    </button>

  </ng-template>

  <ng-template [ngIf]="editMode === depositEditModeEnum.metadata && mode === modeDepositTabEnum.COLLECTION">
    <button (click)="openModalAip()"
            (onEnter)="openModalAip()"
            [matTooltip]="'deposit.collection.button.addAip.tooltip' | translate"
            solidifyAlternativeButton
            solidifyShortCuts
    >
      <solidify-icon [iconName]="iconNameEnum.associateArchive"></solidify-icon>
      {{'deposit.collection.button.associateArchive' | translate}}
    </button>
  </ng-template>
</div>

<dlcm-deposit-files-upload-in-progress (cancelChange)="cancel($event)"
                                       (retryChange)="retry($event)"
                                       (uploadArchiveChange)="uploadArchive($event)"
                                       (uploadChange)="upload($event)"
                                       *ngIf="(mode === modeDepositTabEnum.FILE || (uploadStatusObs | async).length > 0) && editMode !== depositEditModeEnum.none"
                                       [listFilesUploading]="uploadStatusObs | async"
                                       class="deposit-files-upload-in-progress"
></dlcm-deposit-files-upload-in-progress>
